Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.webservice.metadata
Class HandlerMetaData

    java.lang.Object
      org.jboss.webservice.metadata.HandlerMetaData

All Implemented Interfaces:
  Serializable

public class HandlerMetaData
extends Object
implements Serializable

The unified metdata data for a handler element

Version:
  $Revision: 1.1 $
Author:
  Thomas.Diesler@jboss.org
See Also:
  Serialized Form

Constructor Summary
`HandlerMetaData()`

Method Summary
`void` | `addInitParam(InitParamMetaData param)`
`void` | `addSoapHeader(javax.xml.namespace.QName qName)`
`void` | `addSoapRole(String value)`
`String` | `getHandlerClass()`
`String` | `getHandlerName()`
`InitParamMetaData[]` | `getInitParams()`
`String[]` | `getPortNames()`
`javax.xml.namespace.QName[]` | `getSoapHeaders()`
`String[]` | `getSoapRoles()`
`void` | `importJbossClientXml(Element element)`
`void` | `importStandardXml(Element element)`
`void` | `setHandlerClass(String handlerClass)`
`void` | `setHandlerName(String value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HandlerMetaData

    public HandlerMetaData()

Method Detail

### setHandlerName

    public void setHandlerName(String value)

### getHandlerName

    public String getHandlerName()

### setHandlerClass

    public void setHandlerClass(String handlerClass)

### getHandlerClass

    public String getHandlerClass()

### addInitParam

    public void addInitParam(InitParamMetaData param)

### getInitParams

    public InitParamMetaData[] getInitParams()

### addSoapHeader

    public void addSoapHeader(javax.xml.namespace.QName qName)

### getSoapHeaders

    public javax.xml.namespace.QName[] getSoapHeaders()

### addSoapRole

    public void addSoapRole(String value)

### getSoapRoles

    public String[] getSoapRoles()

### getPortNames

    public String[] getPortNames()

### importStandardXml

    public void importStandardXml(Element element)
                           throws org.jboss.deployment.DeploymentException

  Throws:
    `org.jboss.deployment.DeploymentException`

### importJbossClientXml

    public void importJbossClientXml(Element element)
                              throws org.jboss.deployment.DeploymentException

  Throws:
    `org.jboss.deployment.DeploymentException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.